---
apiVersion: networking.k8s.io/v1beta1
kind: Ingress
metadata:
  name: api
  annotations:
    cert-manager.io/cluster-issuer: "letsencrypt-prod"
    nginx.ingress.kubernetes.io/from-to-www-redirect: "true"
    nginx.ingress.kubernetes.io/rewrite-target: /$1
spec:
  ingressClassName: nginx
  rules:
  - host: api.bitranchlabs.com
    http:
      paths:
      - path: /api/v1/yourface
        backend:
          serviceName: yourface-api
          servicePort: 80
  tls:
  - hosts:
    - api.bitranchlabs.com
    secretName: api-bitranchlabs-site-tls
